#-----------------------------------------------------------------------------
%global		debug_package	%{nil}
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtk-doc
Version		:	1.33.2
Release		:	14.4.0.0%{?dist}
Summary		:	API documentation generation tool for GTK+ and GNOME
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and GFDL
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtk-doc

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xml
BuildRequires	:	docbook-xsl
BuildRequires	:	itstool
BuildRequires	:	libxslt
BuildRequires	:	python

Requires	:	sgml-common
Requires	:	python3-six
Requires	:	python3-Pygments
#-----------------------------------------------------------------------------
%description
The GTK-Doc package contains a code documenter. This is useful for
extracting specially formatted comments from the code to create API
documentation. This package is optional; if it is not installed,
packages will not build the documentation. This does not mean that
you will not have any documentation. If GTK-Doc is not available,
the install process will copy any pre-built documentation to your system. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoreconf -fiv

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--with-highlight=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_bindir}/gtkdoc-*
%{_bindir}/gtkdocize
%{_datadir}/cmake/GtkDoc/*.cmake
%{_datadir}/aclocal/%{name}.m4
%{_datadir}/%{name}/data/*
%{_datadir}/%{name}/python/*
%{_datadir}/pkgconfig/%{name}.pc
#{_datadir}/help/*/%{name}-manual/*.{docbook,xml}


%changelog
